System.register("chunks:///_virtual/C.ts",["cc","./A.ts"],(function(t){"use strict";var r,o,e,c;return{setters:[function(t){r=t.cclegacy,o=t._decorator,e=t.Component},function(t){c=t.A}],execute:function(){var n;r._RF.push({},"8d2d8bflQhDp7+jXzb3zfns","C",void 0);var p=o.ccclass;o.property,t("C",p("C")(n=function(t){var r,o;function e(){return t.apply(this,arguments)||this}return o=t,(r=e).prototype=Object.create(o.prototype),r.prototype.constructor=r,r.__proto__=o,e.prototype.start=function(){c.sayHello()},e}(e))||n);r._RF.pop()}}}));

System.register("chunks:///_virtual/resources",["./C.ts"],(function(){"use strict";return{setters:[function(){}],execute:function(){}}}));

(function(r) {
  r('virtual:///prerequisite-imports/resources', 'chunks:///_virtual/resources'); 
})(function(mid, cid) {
    System.register(mid, [cid], function (_export, _context) {
    return {
        setters: [function(_m) {
            var _exportObj = {};

            for (var _key in _m) {
              if (_key !== "default" && _key !== "__esModule") _exportObj[_key] = _m[_key];
            }
      
            _export(_exportObj);
        }],
        execute: function () { }
    };
    });
});